<template>
  <div id="list-memes-component" class="container">
    <h3>ListMemes component</h3>
    <p><i>(Practicando Vuex)</i></p>
    <button class="btn btn-secondary" @click="getMemes">Obtener memes</button>
    <table class="table table-striped">
  <thead>
    <tr>
      <th>Id</th>
      <th>Name</th>
    </tr>
  </thead>
  <tbody>
    <tr v-for="(meme, index) in filteredMemes" :key="index">
       <td>{{ meme.id }}</td>
       <td>{{ meme.name }}</td>
    </tr>
   </tbody>
</table>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'

export default {
  computed: {
    ...mapState('memes', ['titleApp', 'memes']),
    filteredMemes() {
      console.log(this.memes)
      let mem = this.memes.filter((item) => item.name.includes('men'))
      console.log('memf', mem)
      return mem
    }
  },
  methods: {
    ...mapActions('memes', ['getMemes'])
  }
}
</script>

<style>

</style>